## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysLoader Struct Reference
[Sound system, Sound system]

The sound loader is used to load sound files given a raw input data stream. More...

`#include <isndsys/ss_loader.h>`

Inheritance diagram for iSndSysLoader:

[legend]
List of all members.

## Public Member Functions

virtual csPtr< iSndSysData > | LoadSound (iDataBuffer *buffer)=0
| Create a sound object from raw input data.

## Detailed Description

The sound loader is used to load sound files given a raw input data stream.

Definition at line 40 of file ss_loader.h.

## Member Function Documentation

virtual csPtr<iSndSysData> iSndSysLoader::LoadSound | ( | iDataBuffer * | buffer | ) | `[pure virtual]`

| Create a sound object from raw input data.

The documentation for this struct was generated from the following file:

- isndsys/ss_loader.h